<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * [[機能説明]]
 *
 * @package     [[package名]]
 * @author      H.Watanabe <hiroshi.watanabe@netnee.jp>
 * @access      public
 */
class Admin_Ordermanage_Prereturn_Done
{
    /**
     * [[機能説明]]
     *
     * @access  public
     */
     
    // components
    var $db_order;
    
    var $orderno;
    var $orderrowno;
    var $updcnt;
    
    function execute()
    {
        
        foreach ($this->orderno as $key => $value) {
            $result = $this->db_order->updateReturndate($this->orderno[$key], 
                                              $this->orderrowno[$key],
                                              '',
                                              $this->updcnt[$key]
                                              );
            // 失敗ならエラー表示
            if(!$result) {
                return 'input';
            }
        }
        return 'success';
    }
}
?>
